PS3: Cannot auto power off (intermittent)

Bug #220370 reported by Beyil on 2008-04-21
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Colin Watson
Ubuntu PS3 Port
Medium
Dan Munckton
Hardy
Medium
Unassigned
Intrepid
Medium
Dan Munckton
linux-ports (Ubuntu)
Undecided
Dan Munckton

Bug Description

On shutdown I see the logo with the decreasing bar, it then ejects the CD. Gives the message to press enter to continue. Upon hitting enter it locks up and becomes non responsive to anything save to reset the PS3.
I'm seeing similar with gusty on my pc so will be reporting it in hte ubuntu forums as well. Not a high importance issue IMO but an annoyance more then anything else.

Beyil (rjbgolding) wrote :

This is also similar to Bug #107115 in the ubuntu project. I'm not sure how to link it there and here.

Hi Beyil

Thanks for the report. It is something we need to deal with.

I'm not sure this is a "crash" as such I think it's just the power management code in the kernel isn't able to power off the system in the usual way. For now we can do exactly as you've suggested and just press and hold the power button to switch it off.

I've updated the bug title to reflect this I hope you don't mind.

With regards to bug 107115 - I think that is a special case as it is linked to usage of binary-only proprietary drivers, something we are not doing on the PS3 therefore I think it is unrelated.

Not being able to power off can be a generic problem - as you see the same issue on your PC. It may as yet prove not to be PS3 specific. We will need to do some further investigation to decide if this needs a general fix or not.

Cheers

Changed in ubuntu-ps3-port:
importance: Undecided → Low
status: New → Confirmed
Dan Munckton (munckfish) wrote :

Marking as incomplete again. Need to decide whether this should be attached to is a duplicate of bug 43961. Will return to continue triage later.

Changed in ubuntu-ps3-port:
assignee: nobody → munckfish
status: Confirmed → Incomplete
David Rd (plexs) wrote :

Hi,

I can't shutdown my Ps3 Ubuntu anymore!? Just getting black screen and is doing nothing!
I did update the ubuntu kernel also. And same problem on gutsy.

Here is all my info:

david@PS3Console:~$ uname -a
Linux PS3Console 2.6.22-14-cell #1 SMP Tue Feb 12 04:26:05 UTC 2008 ppc64 GNU/Linux

david@PS3Console:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 7.10
Release: 7.10
Codename: gutsy

david@PS3Console:~$ cat /proc/version_signature
Unofficial

david@PS3Console:~$ cat /var/log/dpkg.log | grep 'status installed linux-image'
2008-04-21 21:42:23 status installed linux-image-2.6.22-14-cell 2.6.22-14.46
2008-04-21 21:43:52 status installed linux-image-cell 2.6.22.14.21
2008-04-21 23:08:54 status installed linux-image-2.6.22-14-cell 2.6.22-14.52

if you need more info let met known ;)

Best regards,
David

Dan Munckton (munckfish) wrote :

Running a custom build of the ubuntu 2.6.24 kernel with config generated by "make ps3_defconfig" makes this problem go away. Therefore I'm hoping a simple config change will resolve this. Investigation continues.

Dan Munckton (munckfish) on 2008-05-13
Changed in ubuntu-ps3-port:
assignee: munckfish → nobody
importance: Low → Medium
status: Incomplete → Confirmed
Alfred Chen (alfredchen) wrote :

Here is my input.

When I installed gusty, it can't auto power off, just like the bug description said.

After I set the vedio mode to WUXGA, the problem goes away. Chat with ethana2 in IRC, he said he has this problem with non-fullscreen mode, but ok with full-screen mode.

Upgrade to hardy and compile a custom kernel with config generated by "make ps3_defconfig", and set vedio mode to 720p, I don't have this problem too. Now I am using WUXGA mode.

Dan Munckton (munckfish) wrote :

Hi I think this problem is very nearly fixed.

Using the 2.6.25 sources from our linux-ports git tree I was able to get it to shutdown semi-reliably by setting CONFIG_FB_PS3_SIZE to 9MB instead of 18. Then I just got random lockups instead of consistent ones.

http://ozlabs.org/pipermail/cbe-oss-dev/2008-June/004932.html

After applying the the 4 backport patches from the v2.6.25-stable.2 tag in Geoff L's ps3-linux-patches.git tree I think the problem may be solved completely. Needs more testing though.

Dan Munckton (munckfish) on 2008-09-18
Changed in linux-ports:
assignee: nobody → munckfish
status: New → In Progress
Dan Munckton (munckfish) wrote :

Have still got this intermittent problem no matter what kernel I've tested on recently. Need to nail this before 8.10 final.

Dan Munckton (munckfish) wrote :

Booting with the nosplash option, I see the following message in the console on shutdown just before it hangs:

ps3-ehci-driver sb_07: HC died; cleaning up
irq 50: nobody cared (try booting with the "irqpoll" option)
handlers:
[<d0000000000e6d88>] (usb_hcd_irq+0x0/0xfffffffffffe5198 [usbcore])
Disabling IRQ #50

Unlike normal I was able to force a reboot from here with Alt+SysRq+b. Usually I see a stack trace on doing this.

This shows what is assigned to IRQ 50.

$ cat /proc/interrupts | grep '50:'
 50: 34589 0 ps3 Edge ehci_hcd:usb4

Beyil (rjbgolding) wrote :

Dan could this also be related to Bug #217870 with the battery overcurrent / overcharge error? it has alot of usb4 there as well.
I'm thinking related to something with usb4

Changing to medium importance as I haven't seen it that often recently.

Dan Munckton (munckfish) wrote :

Suggested text for release notes:

"Users may occasionally see an intermittent boot hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run."

Dan Munckton (munckfish) wrote :

**** ATTENTION release notes ****

In the above proposed text please swap "intermittent boot hang" with "intermittent shutdown hang".

Thank you.

Colin Watson (cjwatson) wrote :

Release notes text added:

== PlayStation 3 issues ==

There are a variety of other known issues affecting Play``Station 3 systems, documented in more detail in the [[http://psubuntu.com/wiki/IntrepidReleaseNotes|PS3 release notes]]. They include:

 * To get back to the Sony Play``Station 3 XMB operating system from the boot prompt, users need to type `game` and press the Return key ([[https://launchpad.net/bugs/277839|bug 277839]]). If this is for some reason not possible, carrying out a hard-reset (see PS3 instruction manual) will return to the XMB on next run.
 * Users may occasionally see an intermittent shutdown hang with a message like "IRQ 50: nobody cared". The problem has been reported upstream. Press and hold the PS3 power button until you hear 2 beeps will force power off. The system will boot normally on next run ([[https://launchpad.net/bugs/220370|bug 220370]]).
 * Network``Manager does not list available wireless networks, although it is possible to connect to a wireless network with a known SSID using the "connect to hidden wireless network" option ([[https://launchpad.net/bugs/289977|bug 289977]]); and it cannot connect to WPA/WPA2 wireless networks, although WEP works ([[https://launchpad.net/bugs/289982|bug 289982]]).

Changed in ubuntu-release-notes:
assignee: nobody → kamion
status: New → Fix Released

This problem consistenly happen when the Playstation Eye (PSEYE) camera is connected on any USB port at shutdown.

Other devices are connected to the USB ports (Compaq Keyboard with multimedia functions and a Microsoft Intellimouse Explorer 4.0).

I am not sure if removing the PSEYE before the shutdown starts could let the system to shutdown correctly. I plugged it in during the lifetime of the OS session, not at startup (it makes all USB devices stop working right after authentication at GDM)

If any file/dump/information is needed, just ask me.

Thanks.

Dan Munckton (munckfish) wrote :
Dan Munckton (munckfish) wrote :

The fix for this will be in the new linux-ports 2.6.28-1.6 kernel. So I'm going to presume this is fixed unless anyone sees it again. Closing.

Changed in linux-ports:
status: In Progress → Fix Released
Dan Munckton (munckfish) wrote :
Changed in ubuntu-ps3-port:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers